<template>
  <view v-if="dotNumber" class="dot-number center"><text>{{dotNumber}}</text></view>
</template>

<script>
import props from "./props";
export default {
  name: "dot",
  computed:{
    dotNumber(){
      if (this.value) {
        return this.value>this.maxValue ? this.maxValue+this.format:this.value;
      } else {
        return '';
      }
    }
  },
  props
}
</script>

<style scoped lang="scss" src="./style.scss">

</style>